Subject: Re: [Slim] I-D Action: draft-ietf-slim-negotiating-human-language-07.txt
From: Randall Gellens <[email-masked]>
To: Brian Rosen <[email-masked]>, Gunnar Hellström <[email-masked]>
Cc: [email-masked], "Phillips, Addison" <[email-masked]>, Natasha Rooney <[email-masked]>, Bernard Aboba <[email-masked]>
Date: Wed, 1 Mar 2017 09:50:36 -0800
List-Id: Selection of Language for Internet Media <slim.ietf.org>

At 8:34 AM -0500 3/1/17, Brian Rosen wrote:

>  I haven't commented on this thread much, but I agree with Randall.
>
>  I am opposed to a protocol document saying 
> anything about human interface.  The answering 
> device may be an automaton, and there could be 
> very good reasons to not tell the human which 
> languages/media are not the least preferred.
>
>  Designing good user interfaces is very hard, 
> the participants on this list are not experts, 
> and we should not offer advice on human factors 
> in our documents.  It is sufficient to 
> transport the information across the wire.

Hi Brian,

Gunnar's proposal is now a means of conveying 
additional information that can be used by the UI 
but does not discuss UI.  However, I think this 
is better done in a new Informational (or maybe 
BCP) draft that offers advice to implementers and 
can discuss the various use cases.

>>  On Mar 1, 2017, at 2:26 AM, Gunnar Hellström 
>> <<mailto:[email-masked]>[email-masked]> 
>> wrote:
>>
>>  Hi Randall,
>>
>>  Den 2017-03-01 kl. 02:08, skrev Randall Gellens:
>>
>>>  Hi Gunnar,
>>>
>>>  I'm starting a new message to cut out the huge amount of quoting.
>>>
>>>  Your proposal is that text be added that 
>>> advises the calling client to place an 
>>> asterisk on the least-preferred 
>>> language/media, and advises the answering 
>>> client to indicate to the answering human 
>>> which language/media is not the least 
>>> preferred (did not have an asterisk in the 
>>> offer), is that accurate?
>>>
>>  Yes, with slight rewording to:
>>  "text that advises the offering client to 
>> place an asterisk on the least-preferred 
>> language/media indications, and advises the 
>> answering client to indicate to the answering 
>> human which language/media are not the least 
>> preferred (did not have an asterisk in the 
>> offer)"
>>
>>  The inclusion of the "indications" is just to 
>> assure that it is clear that it does not need 
>> to be just one indication that gets the 
>> asterisk .
>>  The last part sounds awkward, but matches 
>> technically what the lack of an asterisk 
>> means. I inherited the inverted logic for the 
>> asterisk from its already defined non-denial 
>> meaning.
>>  If you are considering wording for the draft, 
>> I suggest that you straighten the logic to say 
>> "which language/media are most preferred (did 
>> not have an asterisk in the offer)"
>>
>>  It does also not need to be an "answering 
>> human" that gets this indication and makes use 
>> of it for guidance on how to answer the call. 
>> It can just as well be e.g. a multi-modal 
>> answering machine or some other application 
>> interacting with human language. I am not sure 
>> if "answering party" is more appropriate and 
>> can be considered including such automata. 
>>
>>  Thanks,
>>  Gunnar
>>
>>  _______________________________________________
>>  SLIM mailing list
>>  <mailto:[email-masked]>[email-masked]
>>  https://www.ietf.org/mailman/listinfo/slim

-- 
Randall Gellens
Opinions are personal;    facts are suspect;    I speak for myself only
-------------- Randomly selected tag: ---------------
There are two kinds of lawyers, those who know the law and those who
know the judge.